%define name	youri-check
%define version 0.10.2
%define release %mkrel 3

%define _provides_exceptions perl(Youri::Check::.*)
%define _requires_exceptions perl(Youri::\\(Check::.*\\|BTS::Bugzilla\\))

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Youri check tool
License:	GPL or Artistic
Group:		Development/Other
Source:		http://youri.zarb.org/download/%{name}-%{version}.tar.bz2
Patch0:		youri-check-0.10.2-fix-fedora-git-url.patch
Url:		http://youri.zarb.org
BuildRequires:	perl-Youri-Utils
# avoid mandriva fork
Requires:	    perl-Youri-Config
Requires:	    perl-Youri-Package
Requires:	    perl-Youri-Utils
BuildArch:	    noarch

%description
youri-check is a generic package checking tools. It runs a list of tests on a
list of package sets, and produces corresponding reports.

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x
%make

%check
%__make check

%install
rm -rf %{buildroot}
%makeinstall_std
cat > README.urpmi<<EOF
Mandriva RPM specific notes

post-installation
-----------------
You need to setup a database, and install related DBI drivers. There is no
schema to create, the application will do it automatically.

You also need to adapt the configuration file to suite your needs, the one
provided is only intended as an example. More details on YAML syntax can be
found in YAML::AppConfig man page.
EOF

%clean 
rm -rf %{buildroot}

%files 
%doc ChangeLog README README.urpmi
%config(noreplace) %{_sysconfdir}/youri
%{_bindir}/youri-check
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_datadir}/youri
%{_sysconfdir}/bash_completion.d/%{name}




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.10.2-3.mga3
+ Revision: 387595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 tmb <tmb> 0.10.2-2.mga3
+ Revision: 330532
- fix fedora update git url (P0)

* Tue Nov 27 2012 pterjan <pterjan> 0.10.2-1.mga3
+ Revision: 322473
- 0.10.2

* Wed Apr 13 2011 pterjan <pterjan> 0.10.1-1.mga1
+ Revision: 84107
- imported package youri-check

